<?php

// Get and use an item record ID (ItemRecordID) to use for a data pull
$ItemID = htmlspecialchars($_GET["itemid"]);

// -------------------- BEGIN DATABASE QUERIES --------------------

// Establish atabase connection
$db = new SQLite3('metadata.sqlite');

// ---------- Pull data from books table ----------
$book = $db->query("SELECT id, title, date(timestamp), author_sort, strftime('%Y',pubdate) AS pubyear, date(last_modified) FROM books WHERE id = '$ItemID'");

while ($row = $book->fetchArray()) {
    $row_id = $row['id'];
    $row_title = $row['title'];
	$row_created = $row['date(timestamp)'];
	$row_author_sort = $row['author_sort'];
    $row_pubdate = $row['pubyear'];
	$row_modified = $row['date(last_modified)'];
}

// ---------- Pull data from authors table ----------
$author = $db->query("SELECT name FROM authors
INNER JOIN books_authors_link
ON books_authors_link.author = authors.id
WHERE books_authors_link.book = '$ItemID'");

while ($row = $author->fetchArray()) {
    $row_creator = $row['name'];
}

// ---------- Pull data from comments table ----------
$summary = $db->query("SELECT text FROM comments WHERE book = '$ItemID'");

while ($row = $summary->fetchArray()) {
	$row_summary = $row['text'];
}

// ---------- Pull data from publishers table ----------

$publisher = $db->query("SELECT name from publishers
INNER JOIN books_publishers_link
ON books_publishers_link.publisher = publishers.id
WHERE books_publishers_link.book = '$ItemID'");

while ($row = $publisher->fetchArray()) {
    $row_publisher = $row['name'];
}

// ---------- Pull data from tags table ----------

$tags = $db->query("SELECT name FROM tags
INNER JOIN books_tags_link
ON books_tags_link.tag = tags.id
WHERE tags.name NOT LIKE 'infopump%' 
AND books_tags_link.book = '$ItemID'");

// ---------- Pull data from identifiers table ----------

$identifiers = $db->query("SELECT type, val FROM identifiers WHERE book = '$ItemID'");

// ---------- Pull data from languages table ----------

$languages = $db->query("SELECT languages.lang_code AS lang_code FROM languages
INNER JOIN books_languages_link
ON books_languages_link.lang_code = languages.id
WHERE book = '$ItemID'
ORDER BY books_languages_link.item_order");

// ---------- Pull data from tags table to dertermine type ----------

$type = $db->query("SELECT SUBSTR(name,15) AS itemtype FROM tags
INNER JOIN books_tags_link
ON books_tags_link.tag = tags.id
WHERE tags.name LIKE 'infopump-type%'
AND books_tags_link.book = '$ItemID'");

while ($row = $type->fetchArray()) {
    $row_type = $row['itemtype'];
}

// -------------------- END DATABASE QUERIES --------------------

?>


<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
	<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<?php echo '<title>Item Record: '.$row_title.'</title>'; ?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content=<?php echo '"Infopump - Item record - '.$row_title.'"/>'; ?> 
	<meta name="keywords" content="infopump, bibliography, media, catalog" />
	<meta name="author" content="Daniel Messer" />

  <!-- 
	//////////////////////////////////////////////////////

	FREE HTML5 TEMPLATE 
	DESIGNED & DEVELOPED by FREEHTML5.CO
		
	Website: 		http://freehtml5.co/
	Email: 			info@freehtml5.co
	Twitter: 		http://twitter.com/fh5co
	Facebook: 		https://www.facebook.com/fh5co

	//////////////////////////////////////////////////////
	 -->

  	<!-- Facebook and Twitter integration -->
	<meta property="og:title" content=<?php echo '"Infopump Item Record - '.$row_title.'"/>'; ?>
	<meta property="og:image" content=<?php echo '"images/'.$row_id.'.jpg"/>'; ?>
	<meta property="og:url" content=<?php echo '"https://cyberpunklibrarian.com/infopump/itemrecord.php?itemid='.$row_id.'"/>'; ?>
	<meta property="og:site_name" content=<?php echo '"Infopump: A bibliographic display system"/>'; ?>
	<meta property="og:description" content=""/>
	<meta name="twitter:title" content="" />
	<meta name="twitter:image" content="" />
	<meta name="twitter:url" content="" />
	<meta name="twitter:card" content="" />

	<!-- Place favicon.ico and apple-touch-icon.png in the root directory -->
	<link rel="shortcut icon" href="favicon.ico">
	<!-- Google Fonts -->
	<link href='http://fonts.googleapis.com/css?family=Playfair+Display:400,700,400italic|Roboto:400,300,700' rel='stylesheet' type='text/css'>
	<!-- Animate -->
	<link rel="stylesheet" href="css/animate.css">
	<!-- Icomoon -->
	<link rel="stylesheet" href="css/icomoon.css">
	<!-- Bootstrap  -->
	<link rel="stylesheet" href="css/bootstrap.css">

	<link rel="stylesheet" href="css/style.css">


	<!-- Modernizr JS -->
	<script src="js/modernizr-2.6.2.min.js"></script>
	<!-- FOR IE9 below -->
	<!--[if lt IE 9]>
	<script src="js/respond.min.js"></script>
	<![endif]-->

	</head>
	<body>
	<div id="fh5co-offcanvas">
		<a href="#" class="fh5co-close-offcanvas js-fh5co-close-offcanvas"><span><i class="icon-cross3"></i> <span>Close</span></span></a>
		<div class="fh5co-bio">
			<figure>
				<a href="index.php"><img src="images/avatar.jpg" alt="Infopump Avatar" class="img-responsive"></a>
			</figure>
			<h3 class="heading">About the Project</h3>
			<a href="index.php"><h2>Infopump</h2></a>
			<p>A bibliographic management and display system.</p>
			<ul class="fh5co-social">
				<!--<li><a href="#"><i class="icon-twitter"></i></a></li>
				<li><a href="#"><i class="icon-facebook"></i></a></li>
				<li><a href="#"><i class="icon-instagram"></i></a></li>-->
			</ul>
		</div>

		<div class="fh5co-menu">
			<div class="fh5co-box">
				<h3 class="heading">Categories</h3>
				<ul>
					<li><a href="#">Books</a></li>
					<li><a href="#">Movies</a></li>
					<li><a href="#">Television</a></li>
					<li><a href="#">Video Games</a></li>
					<li><a href="#">Other</a></li>
				</ul>
			</div>
			<div class="fh5co-box">
				<h3 class="heading">Search</h3>
				<form action="basictitlesearch.php" method="get">
					<div class="form-group">
						<input type="text" class="form-control" name="titlesearch" placeholder="Basic title search">
					</div>
				</form>
			</div>
		</div>
	</div>

	<!-- END #fh5co-offcanvas -->
	<header id="fh5co-header">
		
		<div class="container-fluid">

			<div class="row">
				<a href="#" class="js-fh5co-nav-toggle fh5co-nav-toggle"><i></i></a>
				<ul class="fh5co-social">
					<!--<li><a href="#"><i class="icon-twitter"></i></a></li>
					<li><a href="#"><i class="icon-facebook"></i></a></li>
					<li><a href="#"><i class="icon-instagram"></i></a></li>-->
				</ul>
				<div class="col-lg-12 col-md-12 text-center">
					<?php echo '<h1 id="fh5co-logo">Item Record '.$ItemID.'</h1>';?>
				</div>

			</div>
		
		</div>

	</header>
	<a href="#" class="fh5co-post-prev"><span><i class="icon-chevron-left"></i> Prev</span></a>
	<a href="#" class="fh5co-post-next"><span>Next <i class="icon-chevron-right"></i></span></a>
	<!-- END #fh5co-header -->
	<div class="container-fluid">
		<div class="row fh5co-post-entry single-entry">
			<article class="col-lg-8 col-lg-offset-2 col-md-8 col-md-offset-2 col-sm-8 col-sm-offset-2 col-xs-12 col-xs-offset-0">
				<figure class="animate-box">
					<?php echo '<img src="images/'.$row_id.'.jpg" alt="'.$row_title.'" title="'.$row_title.'" class="img-responsive">';?>
				</figure>
				<?php echo '<h2 class="fh5co-article-title animate-box">'.$row_title.'</h2>';?>
                <?php echo '<span class="fh5co-meta fh5co-date animate-box">'.$row_creator.'</span>';?>

				<div class="col-lg-12 col-lg-offset-0 col-md-12 col-md-offset-0 col-sm-12 col-sm-offset-0 col-xs-12 col-xs-offset-0 text-left content-article">
					<div class="row">
						<div class="col-lg-7 cp-r animate-box">
                            <?php echo $row_summary;?>
						</div>
						<div class="col-lg-5 animate-box">
							<div class="fh5co-highlight right">
								<h4>Metadata</h4>
								<p>
                                    <?php
                                    echo '<strong>Item Control Number: </strong>'.$ItemID.'<br />';
									echo '<strong>Title:</strong> '.$row_title.'<br />';
                                    echo '<strong>Creator:</strong> '.$row_author_sort.'<br />';
									echo '<strong>Publisher:</strong> '.$row_publisher.'<br />';
									echo '<strong>Date: </strong>'.$row_pubdate.'<br />';
									echo '<strong>Type: </strong>'.$row_type.'<br />';
									echo '<strong>Subjects: </strong>';
									while ($row = $tags->fetchArray()) {
										$row_tags = $row['name'];
										echo '['.$row_tags.'] ';
									}
									echo '<br/ ><strong>Identifiers: </strong><br />';
									while ($row = $identifiers->fetchArray()) {
										$row_id_type = $row['type'];
										$row_id_val = $row['val'];
										echo '<span style="margin-left: 10px;">'.$row_id_type.': ' .$row_id_val.'</span><br />';
									}
									echo '<strong>Language(s): </strong>';
									while ($row = $languages->fetchArray()) {
										$row_lang_code = $row['lang_code'];
										echo '[ '.$row_lang_code.' ] ';
									}
									echo '<br /><strong>Created: </strong>'.$row_created.'<br />';
									echo '<strong>Last Modified: </strong>'.$row_modified;
                                    ?>
                                </p>
							</div>
						</div>
					</div>

					<!--<div class="row rp-b">
						<div class="col-md-12 animate-box">
							<blockquote>
								<p>&ldquo;She packed her seven versalia, put her initial into the belt and made herself on the way. When she reached the first hills of the Italic Mountains, she had a last view back on the skyline of her hometown Bookmarksgrove &rdquo; <cite>&mdash; Jean Smith</cite></p>
							</blockquote>
						</div>
					</div> -->
					
					
				</div>

				
				
			</article>
		</div>
	</div>

	<footer id="fh5co-footer">
		<p><small>&copy; Creative Commons By-NC-SA<br> Design by <a href="http://freehtml5.co" target="_blank">FREEHTML5.co</a></small></p>
	</footer>
	
	<!-- jQuery -->
	<script src="js/jquery.min.js"></script>
	<!-- jQuery Easing -->
	<script src="js/jquery.easing.1.3.js"></script>
	<!-- Bootstrap -->
	<script src="js/bootstrap.min.js"></script>
	<!-- Waypoints -->
	<script src="js/jquery.waypoints.min.js"></script>
	<!-- Main JS -->
	<script src="js/main.js"></script>

	</body>
</html>

